import 'package:flutter/material.dart';
import 'package:slick_summary_bars/three_column_text_bar.dart';

main() => runApp(ExampleApp());

class ExampleApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Widget Test'),
      ),
      body: ThreeColumnTextBar.dark(
        context: context,
        scalePreset: ScalePreset.large,
        c1LabelText: 'Income',
        c1DataText: '\$ 5,000.0',
        c2LabelText: 'Expenses',
        c2DataText: '\$ 2,000.0',
        c3LabelText: 'Balance',
        c3DataText: '\$ 3,000',
      ),
    );
  }
}
